org.apache.ignite.internal.processors.igfs

## Class IgfsServer

- java.lang.Object
- - org.apache.ignite.internal.processors.igfs.IgfsServer

    public class IgfsServer
    extends Object

IGFS server. Handles requests passed from IGFS clients.

### Constructor Summary

Constructors
Constructor and Description
`IgfsServer(IgfsContext igfsCtx, IgfsIpcEndpointConfiguration endpointCfg, boolean mgmt)` Constructs igfs server manager.

### Method Summary

Methods
`IpcServerEndpoint` `getIpcServerEndpoint()` Gets IPC server endpoint.
`void` `onKernalStart()` Callback that is invoked when kernal is ready.
`void` `start()` Starts this server.
`void` `stop(boolean cancel)` Stops this server.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgfsServer

    public IgfsServer(IgfsContext igfsCtx,
              IgfsIpcEndpointConfiguration endpointCfg,
              boolean mgmt)

Constructs igfs server manager.

Parameters:
  `igfsCtx` - IGFS context.
  `endpointCfg` - Endpoint configuration to start.
  `mgmt` - Management flag - if true, server is intended to be started for Visor.

### Method Detail

#### start

    public void start()
               throws IgniteCheckedException

Starts this server.

Throws:
  `IgniteCheckedException` - If failed.

#### onKernalStart

    public void onKernalStart()

Callback that is invoked when kernal is ready.

#### stop

    public void stop(boolean cancel)

Stops this server.

Parameters:
  `cancel` - Cancel flag.

#### getIpcServerEndpoint

    public IpcServerEndpoint getIpcServerEndpoint()

Gets IPC server endpoint.

Returns:
  IPC server endpoint.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016